{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
    <link rel="stylesheet" type="text/css" href="{% static 'main.css' %}">  
    <title>WICC {% block title %}{% endblock %}</title>
    <style>
      .card-hover:hover{
          transform: scale(1.09);
      }

    </style>
</head>
<body>

    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
          <a class="navbar-brand" href="{% url 'home' %}">WICC_Books</a>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
              <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="{% url 'home' %}">Home</a>
              </li>
               
              {% if panelPermission %}
                <li class="nav-item">
                  <a class="nav-link" href="{% url 'admin_panel' %}">Panel</a>
                </li>    
              {% endif %}

              {% if not request.user.is_authenticated %}
                <li class="nav-item">
                  <a class="nav-link" href="{% url 'signup' %}">Signup</a>
                </li>  
                <li class="nav-item">
                  <a class="nav-link" href="{% url 'login' %}">Login</a>
                </li>  
              {% endif %}
            </ul>
            

              <div class="d-flex" style="margin-right: 60px;">

                <form class="d-flex mx-3" id="searchFormId"> 
                  <input class="form-control me-2" type="search" name="keyword" placeholder="Search" aria-label="Search">
                  <input class="btn btn-outline-success btn-sm" type="submit" value="Search"> 
                </form>

            {% if request.user.is_authenticated %}

                <a href="{% url 'home' %}" style=" text-decoration: none;"> 
                    <img style="height: 30px; width: 30px; border-radius: 20px;" src="{% static 'default_image.jpg' %}" alt="">
                    <b>{{request.user.username}} :</b>
                </a>
                <a href="{% url 'logout' %}" style="margin-left: 10px; text-decoration: none;color:black;">Logout</a>

              {% endif %}
              
            </div>
          </div>
        </div>
      </nav>

    <div class="container">
        {% block content %}
        {% endblock %}
    </div>
    
</body>
</html>